Subject: [bug#49780] [PATCH 00/14] import: Use PARSE-COMMAND-LINE for options.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 03 Aug 2021 17:47:14 +0200

Hi Sarah,

Sarah Morgensen <[email-masked]> skribis:

> I noticed that we have an ARGS-FOLD* wrapper called PARSE-COMMAND-LINE which has
> the same invalid argument message as the importers, the same argument handler,
> and has an option hint feature. So let's use that in the importers.
>
> The change is identical across all importers, and the semantics as far as return
> value are identical, so this should just be a drop-in.

Neat, that’s a welcome change.  I hope you won’t hate me for suggesting
this, but I think such systematic API evolution changes can go in a
single commit.  WDYT?

Nitpick:

guix/scripts/import/go.scm (guix-import-go)[parse-options]: Use
^
You need a ‘*’ at the beginning of the line.

Thanks!

Ludo’.